This product is not supported for your selected Datadog site. ().

Get exposure SQL model

GET https://api.ap1.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.ap2.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.datadoghq.eu/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.ddog-gov.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.us2.ddog-gov.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.uk1.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.us3.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}https://api.us5.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}

Overview

Get an exposure SQL model. Returns a single model by its ID for the organization, including its subject types and properties. This endpoint requires the product_analytics_metrics_read permission.

OAuth apps require the product_analytics_metrics_read authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

exposure_sql_model_id [required]

string

The UUID of the exposure SQL model.

Query Strings

Name

Type

Description

include

array

Optional fields to include. Repeat this parameter to request several fields. counts adds experiment_count.

Response

OK

Response containing a SQL model for experiment assignment data.

Expand All

Field

Type

Description

data [required]

object

Exposure SQL model resource with its identifier and configuration.

attributes

object

Query and column mappings used to read experiment assignment data.

archived_at

date-time

Time when the exposure SQL model was archived.

created_at

date-time

Time when the exposure SQL model was created.

date_partition_column

string

Column used to identify date partitions in the exposure data.

experiment_column

string

SQL result column that contains the experiment key.

experiment_count

int64

Number of experiments associated with the exposure SQL model.

migration_metadata

Metadata associated with migration of this resource.

name

string

Display name of the exposure SQL model.

properties

[object]

Property columns available for filtering or splitting exposure data.

column_name

string

SQL result column that contains this property.

column_type

string

Data type of the property column.

description

string

Description of the exposure property.

id

string

Identifier of the exposure property.

migration_metadata

Metadata associated with migration of this resource.

name

string

Display name of the exposure property.

pipeline_column_suffix

string

Suffix used for this property column in the analysis pipeline.

sql

string

SQL query that supplies the experiment assignment data.

subject_types

[object]

Mappings between subject types and their identifier columns.

column_name [required]

string

SQL result column that contains the subject identifier.

subject_type_id [required]

string

Identifier of the subject type mapped to this column.

timestamp_column

string

SQL result column that contains the assignment timestamp.

updated_at

date-time

Time when the exposure SQL model was last updated.

variant_column

string

SQL result column that contains the assigned variant.

id [required]

uuid

Identifier of the exposure SQL model.

type [required]

enum

Exposure SQL models resource type. Allowed enum values: exposure-sql-models

default: exposure-sql-models

{
  "data": {
    "attributes": {
      "created_at": "2024-01-01T12:00:00Z",
      "experiment_column": "experiment_id",
      "name": "Exposure events",
      "properties": [
        {
          "column_name": "country",
          "column_type": "STRING",
          "id": "550e8400-e29b-41d4-a716-446655440031",
          "name": "country",
          "pipeline_column_suffix": "cty001"
        }
      ],
      "sql": "SELECT user_id, experiment_id, variant, exposed_at, country FROM analytics.exposures",
      "subject_types": [
        {
          "column_name": "user_id",
          "subject_type_id": "550e8400-e29b-41d4-a716-446655440010"
        }
      ],
      "timestamp_column": "exposed_at",
      "updated_at": "2024-01-01T12:00:00Z",
      "variant_column": "variant"
    },
    "id": "550e8400-e29b-41d4-a716-446655440030",
    "type": "exposure-sql-models"
  }
}

Malformed exposure SQL model ID (not a valid UUID), or unknown include value.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Missing or invalid authentication.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Authenticated caller lacks the product_analytics_metrics_read permission.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

No exposure SQL model with this ID exists for the organization.

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export exposure_sql_model_id="550e8400-e29b-41d4-a716-446655440000"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/experiments/exposure-sql-models/${exposure_sql_model_id}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"